## coq-quickchick 1.6.3

=== examples/RedBlack/Makefile ===

.PHONY: all clean

all: Makefile.coq
	$(MAKE) -f Makefile.coq

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	$(RM) -r ../_qc_RedBlack.tmp Makefile.coq*

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

test: clean
	time quickChick -color -top "QuickChick.RedBlack"

=== debian/changelog ===
coq-quickchick (1.6.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1015000)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 00:34:31 +0200

## coq-quickchick 1.6.4

=== Makefile ===
V=@
.PHONY: plugin install install-plugin clean quickChickTool compat

QCTOOL_DIR=quickChickTool
QCTOOL_EXE=quickChickTool.byte
QCTOOL_SRC=$(QCTOOL_DIR)/quickChickTool.ml \
		   $(QCTOOL_DIR)/quickChickToolTypes.ml \
		   $(QCTOOL_DIR)/quickChickToolLexer.mll \
		   $(QCTOOL_DIR)/quickChickToolParser.mly

INSTALLDIR?=$(dir $(shell which coqc))

# Here is a hack to make $(eval $(shell work
# (copied from coq_makefile generated stuff):
define donewline


endef

includecmdwithout@ = $(eval $(subst @,$(donewline),$(shell { $(1) | tr -d '\r' | tr '\n' '@'; })))
$(call includecmdwithout@,$(COQBIN)coqtop -config)

all: quickChickTool plugin documentation-check

plugin: compat Makefile.coq
	$(MAKE) -f Makefile.coq 

documentation-check: plugin
	coqc -R src QuickChick -I plugin QuickChickInterface.v
	coqc -R src QuickChick -I plugin DocumentationCheck.v

TEMPFILE := $(shell mktemp)

install: all
	$(V)$(MAKE) -f Makefile.coq install > $(TEMPFILE)
# Manually copying the remaining files
	$(V)cp $(QCTOOL_DIR)/$(QCTOOL_EXE) $(INSTALLDIR)/quickChick
#	 $(V)cp src/quickChickLib.cmx $(COQLIB)/user-contrib/QuickChick
#	 $(V)cp src/quickChickLib.o $(COQLIB)/user-contrib/QuickChick

install-plugin: Makefile.coq
	$(V)$(MAKE) -f Makefile.coq install | tee $(TEMPFILE)

uninstall:
	$(V)if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq uninstall; fi
	$(RM) $(INSTALLDIR)/quickChick

quickChickTool: $(QCTOOL_DIR)/$(QCTOOL_EXE)

$(QCTOOL_DIR)/$(QCTOOL_EXE): $(QCTOOL_SRC)
	cd $(QCTOOL_DIR); ocamlbuild -use-ocamlfind -pkg str -pkg unix -use-ocamlfind $(QCTOOL_EXE)

tests:
	$(MAKE) -C examples tutorial
	cd examples/ifc-basic; make clean && make
	$(MAKE) -C test
	$(MAKE) -C examples/RedBlack test
	cd examples/stlc; make clean && make
	$(MAKE) -C examples/multifile-mutation test
# This takes too long. 
#	$(MAKE) -C examples/c-mutation test
#	coqc examples/BSTTest.v
	coqc examples/DependentTest.v

COMPATFILES:=plugin/depDriver.ml plugin/driver.mlg plugin/genericLib.ml plugin/quickChick.mlg plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject

compat: $(COMPATFILES)

%: %.cppo
	$(V)cppo -V OCAML:$(shell ocamlc -version) -V COQ:$(word 1, $(shell coqc -print-version)) -n -o $@ $^

Makefile.coq: _CoqProject
	$(V)coq_makefile -f _CoqProject -o Makefile.coq

clean:
	$Vif [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq clean; fi
	$Vcd $(QCTOOL_DIR); ocamlbuild -clean
	# This might not work on macs
	find . -name '*.vo' -print -delete
	find . -name '*.glob' -print -delete
	find . -name *.d -print -delete
	find . -name *.o -print -delete
	find . -name *.cmi -print -delete
	find . -name *.cmx -print -delete
	find . -name *.cmxs -print -delete
	find . -name *.cmo -print -delete
	find . -name *.bak -print -delete
	find . -name *~ -print -delete
	find . -name *.conflicts -print -delete
	find . -name *.output -print -delete
	find . -name *.aux -print -delete
	rm -f Makefile.coq Makefile.coq.conf
	rm -f $(COMPATFILES)

bc:
	coqwc src/*.v
	coqwc examples/RedBlack/*.v
	coqwc ../ifc/*.v

.merlin: Makefile.coq
	make -f Makefile.coq .merlin

=== examples/Makefile ===
include ../Makefile

tutorial: Makefile.coq
	$(MAKE) -f $<

testmutation:
	quickChick MutationTestingTutorial.v -s PropPlus -m mutate

=== test/Makefile ===
TESTS=mutation.test plugin.test

.PHONY: test $(TESTS)

test: $(TESTS)

MUTATION=mutation

mutation.test:
	cd $(MUTATION)/; sh $(MUTATION).sh

plugin.test:
	cd plugin/; sh plugin.sh

=== examples/c-mutation/Makefile ===
QC=quickChick -color -ocamlbuild '-lib unix'

all: Makefile.coq Foo
	@$(MAKE) -f $<

test:
	time $(QC)

lesstest:
	time $(QC) -N 100

Makefile.coq: _CoqProject
	@coq_makefile -o $@ -f $<

=== examples/sf/Makefile ===
all: Makefile.coq 
	$(MAKE) -f Makefile.coq 

Makefile.coq: 
	coq_makefile -f _CoqProject -o Makefile.coq

clean:
	$(MAKE) -f Makefile.coq clean

=== debian/changelog ===
coq-quickchick (1.6.4-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:56:43 +0100

coq-quickchick (1.6.4-2) unstable; urgency=medium

  * Fix for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:54:49 +0200

coq-quickchick (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Aug 2022 08:26:31 +0200

coq-quickchick (1.6.3-2) unstable; urgency=medium

  * Rebuild against more recent coq-simple-io.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Aug 2022 23:47:35 +0200

=== debian/control ===
Source: coq-quickchick
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               cppo,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               dune,
               help2man,
               libcoq-ext-lib,
               libcoq-mathcomp-ssreflect,
               libcoq-core-ocaml-dev,
               libcoq-simple-io,
               libcoq-stdlib,
               menhir,
               ocamlbuild
Vcs-Browser: https://salsa.debian.org/ocaml-team/quickchick
Vcs-Git: https://salsa.debian.org/ocaml-team/quickchick.git
Homepage: https://github.com/Quickchick/Quickchick

Package: libcoq-quickchick
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: randomized testing framework for Coq (plugin)
 QuickChick provides a framework for randomized testing
 of program properties ; it's a clone of Haskell's
 QuickCheck.
 .
 It includes a foundational verification framework to test
 code and a mechanism to automatically derive generators
 for inductive relations.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package contains the Coq plugin.

Package: quickchick
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ocaml-base-nox | ocaml-nox
Description: randomized testing framework for Coq (tools)
 QuickChick provides a framework for randomized testing
 of program properties ; it's a clone of Haskell's
 QuickCheck.
 .
 It includes a foundational verification framework to test
 code and a mechanism to automatically derive generators
 for inductive relations.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package contains the tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	help2man $(CURDIR)/debian/tmp/usr/bin/quickChick --no-discard-stderr > debian/quickChick.1

## coq-quickchick 2.0

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,19 @@
 #	 $(V)cp src/quickChickLib.cmx $(COQLIB)/user-contrib/QuickChick
 #	 $(V)cp src/quickChickLib.o $(COQLIB)/user-contrib/QuickChick
 
+install-fuzz:
+	$(V)cp fuzz/alloc-inl.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/config.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/debug.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/types.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/SHM.c $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/Stub.ml $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/Main.ml $(COQLIB)/user-contrib/QuickChick/
+
+	$(V)cp fuzz/cmdprefix.pl $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/cmdsuffix.pl $(COQLIB)/user-contrib/QuickChick/
+
+
 install-plugin: Makefile.coq
 	$(V)$(MAKE) -f Makefile.coq install | tee $(TEMPFILE)
 
@@ -51,18 +64,19 @@
 	cd $(QCTOOL_DIR); ocamlbuild -use-ocamlfind -pkg str -pkg unix -use-ocamlfind $(QCTOOL_EXE)
 
 tests:
-	$(MAKE) -C examples tutorial
+	$(MAKE) -C tutorials tutorials
+	$(MAKE) -C test
+	cd benchmarks/stlc; make clean && make
+	cd benchmarks/BST; make clean && make
 	cd examples/ifc-basic; make clean && make
-	$(MAKE) -C test
 	$(MAKE) -C examples/RedBlack test
-	cd examples/stlc; make clean && make
 	$(MAKE) -C examples/multifile-mutation test
 # This takes too long. 
 #	$(MAKE) -C examples/c-mutation test
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
 
-COMPATFILES:=plugin/depDriver.ml plugin/driver.mlg plugin/genericLib.ml plugin/quickChick.mlg plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
+COMPATFILES:=plugin/depDriver.ml plugin/genericLib.ml plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
 
 compat: $(COMPATFILES)
 
@@ -99,3 +113,7 @@
 
 .merlin: Makefile.coq
 	make -f Makefile.coq .merlin
+
+publish%:
+	opam publish --packages-directory=released/packages \
+		--repo=coq/opam-coq-archive --tag=v$* -v $* QuickChick/QuickChick

=== debian/changelog ===
coq-quickchick (2.0-2build4) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Dec 2023 14:09:52 -0500

coq-quickchick (2.0-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:45:55 +0100

coq-quickchick (2.0-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:15:28 +0100

coq-quickchick (2.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:10:56 +0200

coq-quickchick (2.0-2) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml-dune (Closes: #1040814)
  * Fix Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 10:55:33 +0200

coq-quickchick (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:45:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                cppo,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
-               dune,
+               ocaml-dune,
                help2man,
                libcoq-ext-lib,
                libcoq-mathcomp-ssreflect,
@@ -19,8 +19,8 @@
                libcoq-stdlib,
                menhir,
                ocamlbuild
-Vcs-Browser: https://salsa.debian.org/ocaml-team/quickchick
-Vcs-Git: https://salsa.debian.org/ocaml-team/quickchick.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-quickchick
+Vcs-Git: https://salsa.debian.org/ocaml-team/coq-quickchick.git
 Homepage: https://github.com/Quickchick/Quickchick
 
 Package: libcoq-quickchick

## coq-quickchick 2.0.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 TEMPFILE := $(shell mktemp)
 
-install: all
+install: quickChickTool plugin
 	$(V)$(MAKE) -f Makefile.coq install > $(TEMPFILE)
 # Manually copying the remaining files
 	$(V)cp $(QCTOOL_DIR)/$(QCTOOL_EXE) $(INSTALLDIR)/quickChick
@@ -76,7 +76,15 @@
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
 
-COMPATFILES:=plugin/depDriver.ml plugin/genericLib.ml plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
+COMPATFILES:= \
+	plugin/depDriver.ml \
+	plugin/genericLib.ml \
+	plugin/unifyQC.ml \
+	plugin/tactic_quickchick.mlg \
+	plugin/weightmap.mlg \
+	src/ExtractionQC.v \
+	src/QuickChick.v \
+	_CoqProject
 
 compat: $(COMPATFILES)

=== debian/changelog ===
coq-quickchick (2.0.1-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044511).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:28:29 +0100

## coq-quickchick 2.0.2

=== Makefile ===
--- 
+++ 
@@ -75,15 +75,19 @@
 #	$(MAKE) -C examples/c-mutation test
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
+	coqc examples/TacticExample.v
 
 COMPATFILES:= \
 	plugin/depDriver.ml \
 	plugin/genericLib.ml \
+	plugin/mergeTypes.ml \
+	plugin/quickChick.mlg \
 	plugin/unifyQC.ml \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
 	src/ExtractionQC.v \
 	src/QuickChick.v \
+	src/TacticsUtil.v \
 	_CoqProject
 
 compat: $(COMPATFILES)

=== tutorials/Makefile ===
include ../Makefile

tutorials: Makefile.coq
	$(MAKE) -f $<

=== examples/ifc-basic/Makefile ===

.PHONY: all clean

all: Makefile.coq
	$(MAKE) -f Makefile.coq

clean:
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq clean; fi
	$(RM) Makefile.coq*

Makefile.coq: _CoqProject
	coq_makefile -f _CoqProject -o Makefile.coq

=== debian/changelog ===
coq-quickchick (2.0.2-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:19:16 +0200

coq-quickchick (2.0.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:55:10 +0000

coq-quickchick (2.0.2-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:14:37 +0000

coq-quickchick (2.0.2-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:27:31 +0100

coq-quickchick (2.0.2-1build1) noble; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 19:48:27 -0500

coq-quickchick (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jan 2024 20:12:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-quickchick
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
@@ -42,7 +43,7 @@
 
 Package: quickchick
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ocaml-base-nox | ocaml-nox
+Depends: ${misc:Depends}, ${shlibs:Depends}, ocaml-base | ocaml
 Description: randomized testing framework for Coq (tools)
  QuickChick provides a framework for randomized testing
  of program properties ; it's a clone of Haskell's

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 override_dh_auto_install:
 	make install DESTDIR=$(CURDIR)/debian/tmp
 	help2man $(CURDIR)/debian/tmp/usr/bin/quickChick --no-discard-stderr > debian/quickChick.1
+
+override_dh_auto_clean:
+	make clean
+	rm -f .lia.cache plugin/META.coq-quickchick
+	find . -name "*.vo*" -delete

## coq-quickchick 2.0.3

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	plugin/unifyQC.ml \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
+	src/Compat.v \
 	src/ExtractionQC.v \
 	src/QuickChick.v \
 	src/TacticsUtil.v \

=== debian/changelog ===
coq-quickchick (2.0.3-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:55:10 +0200

coq-quickchick (2.0.3-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 08:10:37 +0200

coq-quickchick (2.0.3-2) unstable; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 16:00:35 +0200

coq-quickchick (2.0.3-1) binary; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 05 Apr 2024 20:48:07 +0200

coq-quickchick (2.0.2-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coq-quickchick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## coq-quickchick 2.0.4

=== debian/changelog ===
coq-quickchick (2.0.4-1build1) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Nov 2024 14:25:13 +0100

coq-quickchick (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:57:49 +0100

## coq-quickchick 2.0.5

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 	$(MAKE) -f Makefile.coq 
 
 documentation-check: plugin
-	coqc -R src QuickChick -I plugin QuickChickInterface.v
-	coqc -R src QuickChick -I plugin DocumentationCheck.v
+	coqc -R src QuickChick -Q doc doc -I plugin doc/QuickChickInterface.v
+	coqc -R src QuickChick -Q doc doc -I plugin doc/DocumentationCheck.v
 
 TEMPFILE := $(shell mktemp)
 
@@ -81,8 +81,10 @@
 	plugin/depDriver.ml \
 	plugin/genericLib.ml \
 	plugin/mergeTypes.ml \
+	plugin/quickChick.mli \
 	plugin/quickChick.mlg \
 	plugin/unifyQC.ml \
+	plugin/unifyQC.mli \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
 	src/Compat.v \

=== examples/mutation-testing-tutorial.t/Makefile ===
default:
	coqc -R . QC MutationTestingTutorial.v
	coqc -R . QC QuickChickTop.v

=== debian/changelog ===
coq-quickchick (2.0.5-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:24:48 +0100

coq-quickchick (2.0.5-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:03:34 +0100

coq-quickchick (2.0.5-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:16:50 +0100

coq-quickchick (2.0.5-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:42:38 +0100

coq-quickchick (2.0.5-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jan 2025 12:29:19 +0100

coq-quickchick (2.0.5-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 08:41:50 -0500

coq-quickchick (2.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:17:45 +0100

## coq-quickchick 2.1.0

=== debian/changelog ===
coq-quickchick (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install documentation under /usr/share/doc, not /usr/doc.
    (Closes: #1111916)
  * Don't install the upstream changelog twice.

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 14:14:24 +0300

coq-quickchick (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Mar 2025 10:33:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                cppo,

=== debian/watch ===
version=4
https://github.com/QuickChick/QuickChick/tags .*/v?([\d\.]+).tar.gz

## coq-quickchick 2.1.1

=== sf-experiment/Makefile ===
#############################################################################
##  v      #                   The Coq Proof Assistant                     ##
## <O___,, #                INRIA - CNRS - LIX - LRI - PPS                 ##
##   \VV/  #                                                               ##
##    //   #  Makefile automagically generated by coq_makefile V8.6        ##
#############################################################################

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING

#
# This Makefile was generated by the command line :
# coq_makefile COQLIBS =  -install none Preface.v Basics.v Induction.v Lists.v Poly.v Tactics.v Logic.v IndProp.v Maps.v ProofObjects.v IndPrinciples.v Rel.v Imp.v ImpParser.v ImpCEvalFun.v Extraction.v Auto.v Postscript.v Bib.v -o Makefile 
#

.DEFAULT_GOAL := all

# This Makefile may take arguments passed as environment variables:
# COQBIN to specify the directory where Coq binaries resides;
# TIMECMD set a command to log .v compilation time;
# TIMED if non empty, use the default time command as TIMECMD;
# ZDEBUG/COQDEBUG to specify debug flags for ocamlc&ocamlopt/coqc;
# DSTROOT to specify a prefix to install path.
# VERBOSE to disable the short display of compilation rules.

VERBOSE?=
SHOW := $(if $(VERBOSE),@true "",@echo "")
HIDE := $(if $(VERBOSE),,@)

# Here is a hack to make $(eval $(shell works:
define donewline


endef
includecmdwithout@ = $(eval $(subst @,$(donewline),$(shell { $(1) | tr -d '\r' | tr '\n' '@'; })))
$(call includecmdwithout@,$(COQBIN)coqtop -config)

TIMED?=
TIMECMD?=
STDTIME?=/usr/bin/time -f "$* (user: %U mem: %M ko)"
TIMER=$(if $(TIMED), $(STDTIME), $(TIMECMD))

vo_to_obj = $(addsuffix .o,\
  $(filter-out Warning: Error:,\
  $(shell $(COQBIN)coqtop -q -noinit -batch -quiet -print-mod-uid $(1))))

##########################
#                        #
# Libraries definitions. #
#                        #
##########################

COQLIBS?=\
  -R "." Top\
  -I "."
COQCHKLIBS?=\
  -R "." Top
COQDOCLIBS?=\
  -R "." Top

##########################
#                        #
# Variables definitions. #
#                        #
##########################

COQLIBS=

OPT?=
COQDEP?="$(COQBIN)coqdep" -c
COQFLAGS?=-q $(OPT) $(COQLIBS) $(OTHERFLAGS) $(COQ_XML)
COQCHKFLAGS?=-silent -o
COQDOCFLAGS?=-interpolate -utf8
COQC?=$(TIMER) "$(COQBIN)coqc"
GALLINA?="$(COQBIN)gallina"
COQDOC?="$(COQBIN)coqdoc"
COQCHK?="$(COQBIN)coqchk"
COQMKTOP?="$(COQBIN)coqmktop"

######################
#                    #
# Files dispatching. #
#                    #
######################

VFILES:=Preface.v\
  Basics.v\
  Induction.v\
  Lists.v\
  Poly.v\
  Tactics.v\
  Logic.v\
  IndProp.v\
  Maps.v\
  ProofObjects.v\
  IndPrinciples.v\
  Rel.v\
  Imp.v\
  ImpParser.v\
  ImpCEvalFun.v\
  Extraction.v\
  Auto.v\
  Postscript.v\
  Bib.v

ifneq ($(filter-out archclean clean cleanall printenv,$(MAKECMDGOALS)),)
-include $(addsuffix .d,$(VFILES))
else
ifeq ($(MAKECMDGOALS),)
-include $(addsuffix .d,$(VFILES))
endif
endif

.SECONDARY: $(addsuffix .d,$(VFILES))

VO=vo
VOFILES:=$(VFILES:.v=.$(VO))
GLOBFILES:=$(VFILES:.v=.glob)
GFILES:=$(VFILES:.v=.g)
HTMLFILES:=$(VFILES:.v=.html)
GHTMLFILES:=$(VFILES:.v=.g.html)
OBJFILES=$(call vo_to_obj,$(VOFILES))
ALLNATIVEFILES=$(OBJFILES:.o=.cmi) $(OBJFILES:.o=.cmo) $(OBJFILES:.o=.cmx) $(OBJFILES:.o=.cmxs)
NATIVEFILES=$(foreach f, $(ALLNATIVEFILES), $(wildcard $f))
ifeq '$(HASNATDYNLINK)' 'true'
HASNATDYNLINK_OR_EMPTY := yes
else
HASNATDYNLINK_OR_EMPTY :=
endif

#######################################
#                                     #
# Definition of the toplevel targets. #
#                                     #
#######################################

all: $(VOFILES) 

quick: $(VOFILES:.vo=.vio)

vio2vo:
	$(COQC) $(COQDEBUG) $(COQFLAGS) -schedule-vio2vo $(J) $(VOFILES:%.vo=%.vio)
checkproofs:
	$(COQC) $(COQDEBUG) $(COQFLAGS) -schedule-vio-checking $(J) $(VOFILES:%.vo=%.vio)
gallina: $(GFILES)

html: $(GLOBFILES) $(VFILES)
	- mkdir -p html
	$(COQDOC) -toc $(COQDOCFLAGS) -html $(COQDOCLIBS) -d html $(VFILES)

gallinahtml: $(GLOBFILES) $(VFILES)
	- mkdir -p html
	$(COQDOC) -toc $(COQDOCFLAGS) -html -g $(COQDOCLIBS) -d html $(VFILES)

all.ps: $(VFILES)
	$(COQDOC) -toc $(COQDOCFLAGS) -ps $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $^`

all-gal.ps: $(VFILES)
	$(COQDOC) -toc $(COQDOCFLAGS) -ps -g $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $^`

all.pdf: $(VFILES)
	$(COQDOC) -toc $(COQDOCFLAGS) -pdf $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $^`

all-gal.pdf: $(VFILES)
	$(COQDOC) -toc $(COQDOCFLAGS) -pdf -g $(COQDOCLIBS) -o $@ `$(COQDEP) -sort -suffix .v $^`

validate: $(VOFILES)
	$(COQCHK) $(COQCHKFLAGS) $(COQCHKLIBS) $(notdir $(^:.vo=))

beautify: $(VFILES:=.beautified)
	for file in $^; do mv $${file%.beautified} $${file%beautified}old && mv $${file} $${file%.beautified}; done
	@echo 'Do not do "make clean" until you are sure that everything went well!'
	@echo 'If there were a problem, execute "for file in $$(find . -name \*.v.old -print); do mv $${file} $${file%.old}; done" in your shell/'

.PHONY: all archclean beautify byte clean cleanall gallina gallinahtml html install install-doc install-natdynlink install-toploop opt printenv quick uninstall userinstall validate vio2vo

####################
#                  #
# Special targets. #
#                  #
####################

byte:
	$(MAKE) all "OPT:=-byte"

opt:
	$(MAKE) all "OPT:=-opt"

.merlin:
	@echo 'FLG -rectypes' > .merlin
	@echo "B $(COQLIB)kernel" >> .merlin
	@echo "B $(COQLIB)lib" >> .merlin
	@echo "B $(COQLIB)library" >> .merlin
	@echo "B $(COQLIB)parsing" >> .merlin
	@echo "B $(COQLIB)pretyping" >> .merlin
	@echo "B $(COQLIB)interp" >> .merlin
	@echo "B $(COQLIB)printing" >> .merlin
	@echo "B $(COQLIB)intf" >> .merlin
	@echo "B $(COQLIB)proofs" >> .merlin
	@echo "B $(COQLIB)tactics" >> .merlin
	@echo "B $(COQLIB)tools" >> .merlin
	@echo "B $(COQLIB)ltacprof" >> .merlin
	@echo "B $(COQLIB)toplevel" >> .merlin
	@echo "B $(COQLIB)stm" >> .merlin
	@echo "B $(COQLIB)grammar" >> .merlin
	@echo "B $(COQLIB)config" >> .merlin
	@echo "B $(COQLIB)ltac" >> .merlin
	@echo "B $(COQLIB)engine" >> .merlin
	@echo "B /Users/bcpierce/work/sf/new/lf/full" >> .merlin
	@echo "S /Users/bcpierce/work/sf/new/lf/full" >> .merlin

clean::
	rm -f $(OBJFILES) $(OBJFILES:.o=.native) $(NATIVEFILES)
	find . -name .coq-native -type d -empty -delete
	rm -f $(VOFILES) $(VOFILES:.vo=.vio) $(GFILES) $(VFILES:.v=.v.d) $(VFILES:=.beautified) $(VFILES:=.old)
	rm -f all.ps all-gal.ps all.pdf all-gal.pdf all.glob $(VFILES:.v=.glob) $(VFILES:.v=.tex) $(VFILES:.v=.g.tex) all-mli.tex
	- rm -rf html mlihtml uninstall_me.sh

cleanall:: clean
	rm -f $(patsubst %.v,.%.aux,$(VFILES))

archclean::
	rm -f *.cmx *.o

printenv:
	@"$(COQBIN)coqtop" -config
	@echo 'OCAMLFIND =	$(OCAMLFIND)'
	@echo 'PP =	$(PP)'
	@echo 'COQFLAGS =	$(COQFLAGS)'
	@echo 'COQLIBINSTALL =	$(COQLIBINSTALL)'
	@echo 'COQDOCINSTALL =	$(COQDOCINSTALL)'

###################
#                 #
# Implicit rules. #
#                 #
###################

$(VOFILES): %.vo: %.v
	$(SHOW)COQC $<
	$(HIDE)$(COQC) $(COQDEBUG) $(COQFLAGS) $<

$(GLOBFILES): %.glob: %.v
	$(COQC) $(COQDEBUG) $(COQFLAGS) $<

$(VFILES:.v=.vio): %.vio: %.v
	$(COQC) -quick $(COQDEBUG) $(COQFLAGS) $<

$(GFILES): %.g: %.v
	$(GALLINA) $<

$(VFILES:.v=.tex): %.tex: %.v
	$(COQDOC) $(COQDOCFLAGS) -latex $< -o $@

$(HTMLFILES): %.html: %.v %.glob
	$(COQDOC) $(COQDOCFLAGS) -html $< -o $@

$(VFILES:.v=.g.tex): %.g.tex: %.v
	$(COQDOC) $(COQDOCFLAGS) -latex -g $< -o $@

$(GHTMLFILES): %.g.html: %.v %.glob
	$(COQDOC) $(COQDOCFLAGS)  -html -g $< -o $@

$(addsuffix .d,$(VFILES)): %.v.d: %.v
	$(SHOW)'COQDEP $<'
	$(HIDE)$(COQDEP) $(COQLIBS) "$<" > "$@" || ( RV=$$?; rm -f "$@"; exit $${RV} )

$(addsuffix .beautified,$(VFILES)): %.v.beautified:
	$(COQC) $(COQDEBUG) $(COQFLAGS) -beautify $*.v

# WARNING
#
# This Makefile has been automagically generated
# Edit at your own risks !
#
# END OF WARNING

include .depend

=== benchmarks/BST/Makefile ===
QC=quickChick -color -top BST 

all: Makefile.coq 
	$(MAKE) -f Makefile.coq 

Makefile.coq: 
	coq_makefile -f _CoqProject -o Makefile.coq

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -rf ../_qc_BST.tmp *.bak

test: clean
	time $(QC)

testinclude:
	$(QC) -m 0 -include _CoqProject

=== benchmarks/stlc/Makefile ===
QC=quickChick -color -top stlc

all: Makefile.coq 
	$(MAKE) -f Makefile.coq 

Makefile.coq: 
	coq_makefile -f _CoqProject -o Makefile.coq

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -rf ../_qc_stlc.tmp *.bak

test: clean
	time $(QC)

testinclude:
	$(QC) -m 0 -include _CoqProject

=== examples/caml/Makefile ===
QC=quickChick -color -ocamlbuild '-lib unix -no-hygiene'
TMP_DIR=../_qc_$(shell basename $(CURDIR)).tmp
all: Makefile.coq
	$(MAKE) -f $<

test:
	time $(QC)

lesstest:
	time $(QC) -N 100

Makefile.coq: _CoqProject
	coq_makefile -o $@ -f $<

%.o: %.c
	ocamlc -c $<

libcamlplus.a: camlplus.o cplus.o
	ocamlmklib -custom -o camlplus $^

dllcamlplus.so: camlplus.o cplus.o
	ocamlmklib -o camlplus $^

testextract.opt: extract.ml testextract.ml libcamlplus.a
	ocamlopt -o $@ extract.ml testextract.ml -cclib -lcamlplus -ccopt -L.

testextract.byte: extract.ml testextract.ml dllcamlplus.so
	ocamlc -o $@ extract.ml testextract.ml -dllib -lcamlplus

testextract: testextract.opt testextract.byte
	./testextract.opt
	./testextract.byte

clean:
	ocamlbuild -clean
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq clean; fi
	$(RM) -r Makefile.coq* *.[oa] *.so *.cm[ixoa] *.cmx* *.opt *.byte *~ $(TMP_DIR)

=== examples/multifile-mutation.t/Makefile ===
QC=quickChick -color $(QCFLAGS)

all: Makefile.coq 
	$(MAKE) -f Makefile.coq 

Makefile.coq: 
	coq_makefile -f _CoqProject -o Makefile.coq

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -rf ../_qc_multifile-mutation.tmp *.bak

test: clean
	time $(QC)

testinclude:
	$(QC) -m 0 -include _CoqProject

=== examples/pyml/Makefile ===
QC=quickChick -color
TMP_DIR=../_qc_pyml.tmp
V=@

all: Makefile.coq
	$V$(MAKE) -f $<

test:
	time $(QC)

Makefile.coq: _CoqProject
	$Vcoq_makefile -o $@ -f $<

clean:
	$Vif [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq clean; fi
	$V$(RM) -r *~ .*.aux Makefile.coq* *.pyc __pycache__ \
		$(TMP_DIR) $(EXTR_BIN)

=== examples/python-io.t/Makefile ===
COQMAKEFILE ?= Makefile.coq

all: $(COQMAKEFILE) foo.py
	@$(MAKE) -f $<

clean: $(COQMAKEFILE)
	$(MAKE) -f $^ $@
	$(RM) $(COQMAKEFILE) $(COQMAKEFILE).conf

$(COQMAKEFILE): _CoqProject
	@coq_makefile -o $@ -f $<

=== examples/stack-compiler/Makefile ===
all: Makefile.coq 
	$(MAKE) -f Makefile.coq 

Makefile.coq: 
	coq_makefile -f _CoqProject -o Makefile.coq

clean: Makefile.coq
	$(MAKE) -f Makefile.coq clean
	rm -rf ../_qc_$(shell basename $(CURDIR)).tmp *.bak Makefile.coq*

test: clean
	quickChick -color -top Stack

=== debian/changelog ===
coq-quickchick (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.
  * Work on lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                cppo,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

export DEB_BUILD_OPTIONS += noautodbgsym

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	dune build -p coq-quickchick

override_dh_auto_install:
	dune install coq-quickchick --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	find $(CURDIR)/debian/tmp -name LICENSE -delete
	rm -rf $(CURDIR)/debian/tmp/usr/doc
	help2man $(CURDIR)/debian/tmp/usr/bin/quickChick --no-discard-stderr \
	  -n "Randomized property-based testing for Coq" --version-string=$(DEB_VERSION_UPSTREAM) > debian/quickChick.1

override_dh_auto_clean:
	make clean
	rm -f .lia.cache plugin/META.coq-quickchick
	find . -name "*.vo*" -delete

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom QuickChick QuickChick
Depends: coq, @
